package com.example.courseworkkotlin

import android.content.Intent
import android.os.Bundle
import androidx.appcompat.app.AppCompatActivity
import com.example.courseworkkotlin.databinding.ActivityHomeScreenBinding

class HomeScreen : AppCompatActivity() {
    private lateinit var binding: ActivityHomeScreenBinding

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        binding = ActivityHomeScreenBinding.inflate(layoutInflater)
        setContentView(binding.root)

        binding.ButtonAbout.setOnClickListener { startActivity(Intent(this, About::class.java)) }
        binding.ButtonCalculator.setOnClickListener { startActivity(Intent(this, Calculator::class.java)) }
        binding.ButtonTests.setOnClickListener { startActivity(Intent(this, Tests::class.java)) }
    }
}
